Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 825402 - RFE: Provide a pkgconfig file with tbb
Summary: RFE: Provide a pkgconfig file with tbb
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tbb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-25 23:21 UTC by Rich Mattes
Modified: 2015-05-05 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-02 00:03:50 UTC


Attachments (Terms of Use)

Description Rich Mattes 2012-05-25 23:21:31 UTC
Description of problem:
tbb doesn't come with a pkgconfig file from upstream.  However, debian (and therefore ubuntu) are shipping tbb.pc, which some downstream projects have started depending on.  I am requesting that fedora follow suit, and work with upstream to provide the .pc file in the source distribution.

For reference, the tbb.pc from ubuntu (downloaded at http://archive.ubuntu.com/ubuntu/pool/universe/t/tbb/tbb_4.0+r233-1.debian.tar.gz) looks like:

prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

Name: Threading Building Blocks
Description: Intel's parallelism library for C++
URL: http://www.threadingbuildingblocks.org/
Version: 3.0+r018
Libs: -L${libdir} -ltbb
Cflags: -I${includedir}

Comment 1 Petr Machata 2012-06-04 19:53:57 UTC
Agreed that this might be useful to do.  I'll contact Intel and see if they would be willing to add the .pc file to their distribution.  But I don't think it would be undue burden to carry that file downsteam in the mean time.

Comment 2 Petr Machata 2012-06-07 20:00:12 UTC
I'm spinning an update in rawhide that rebases to 4.0 update 4, and also provides the .pc files.  I would prefer naming the .pc file libtbb.pc, as there are two other libraries libtbbmalloc and libtbbmalloc_proxy, but for sake of compatibility and consistency, I dropped the "lib" prefix.  Would you please be so kind as to review whether it seems correct?

Comment 3 Rich Mattes 2012-06-10 18:32:30 UTC
I just gave the 4.0.4 packages from rawhide a try.  The pkgconfig files you've included look good, and work when tested with the projects I mentioned that look for them.  Thanks for taking care of this.


Note You need to log in before you can comment on or make changes to this bug.